GDB (xrefs)

Public Attributes | List of all members
step_command_fsm Struct Reference

## Public Attributes
struct thread_fsm | thread_fsm
int | count
int | skip_subroutines
int | single_inst

## Detailed Description

Definition at line 964 of file infcmd.c.

## Member Data Documentation

## ◆ count

int step_command_fsm::count

Definition at line 970 of file infcmd.c.

Referenced by prepare_one_step(), step_1(), step_command_fsm_prepare(), and step_command_fsm_should_stop().

## ◆ single_inst

int step_command_fsm::single_inst

Definition at line 976 of file infcmd.c.

Referenced by prepare_one_step(), step_1(), step_command_fsm_clean_up(), and step_command_fsm_prepare().

## ◆ skip_subroutines

int step_command_fsm::skip_subroutines

Definition at line 973 of file infcmd.c.

Referenced by prepare_one_step(), step_1(), step_command_fsm_clean_up(), and step_command_fsm_prepare().

## ◆ thread_fsm

struct thread_fsm step_command_fsm::thread_fsm

Definition at line 967 of file infcmd.c.

Referenced by new_step_command_fsm(), prepare_one_step(), and step_1().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infcmd.c